summaryrefslogtreecommitdiff
path: root/extra/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'extra/scripts')
-rwxr-xr-xextra/scripts/get-needed-libgcc-objects.sh5
-rwxr-xr-xextra/scripts/initfini.pl2
2 files changed, 5 insertions, 2 deletions
diff --git a/extra/scripts/get-needed-libgcc-objects.sh b/extra/scripts/get-needed-libgcc-objects.sh
index 5d81154b2..00cfab2a9 100755
--- a/extra/scripts/get-needed-libgcc-objects.sh
+++ b/extra/scripts/get-needed-libgcc-objects.sh
@@ -48,7 +48,9 @@ echo Extracting referenced libgcc.a objects ...
rm -f obj.need.0
touch obj.need.0
-while [ -s obj.need ] && ! cmp -s obj.need obj.need.0 ; do
+
+cmp -s obj.need obj.need.0 ; state=$?
+while [ -s obj.need ] && [ $state -ne 0 ] ; do
(cd tmp-gcc && cat ../obj.need | sort | uniq | xargs $LD -r -o ../libgcc.ldr)
cp obj.need obj.need.0
if $NM --undefined-only libgcc.ldr > sym.need ; then
@@ -58,6 +60,7 @@ while [ -s obj.need ] && ! cmp -s obj.need obj.need.0 ; do
fi
done
fi
+ cmp -s obj.need obj.need.0 ; state=$?
done
cat obj.need | sort | uniq > obj.need.0
diff --git a/extra/scripts/initfini.pl b/extra/scripts/initfini.pl
index 431b39396..41add5d88 100755
--- a/extra/scripts/initfini.pl
+++ b/extra/scripts/initfini.pl
@@ -84,7 +84,7 @@ while(<INITFINI>) {
$omitcrtn = 0;
next;
}
- if (/^i_am_not_a_leaf/) {
+ if (/i_am_not_a_leaf/) {
$discard = 1;
next;
}